<?xml version="1.0" encoding="UTF-8"?>
<!--This is the DTD for short output settings.-->


<!--Type definition-->
<!ENTITY % so_type "seed | seedling | sapling | adult | stump | snag | woody_debris">
<!--Boolean definition-->
<!ENTITY % so_bool "true | false">

<!--Root element-->
<!ELEMENT shortoutput (so_filename, so_treeTypeInfo*, so_subplot*)>

<!--This is the filename for the tab-delimited text file that will be
	written-->
<!ELEMENT so_filename (#PCDATA)>

<!--Tree output information - for each type, what should be saved.
	Not all options are appropriate for all types.-->
<!ELEMENT so_treeTypeInfo (so_saveRBA, so_saveABA, so_saveRDN, so_saveADN)>
<!ATTLIST so_treeTypeInfo
	type (%so_type;) #REQUIRED>
<!ELEMENT so_saveRBA EMPTY>
<!ATTLIST so_saveRBA
	save (%so_bool;) #REQUIRED>
<!ELEMENT so_saveABA EMPTY>
<!ATTLIST so_saveABA
	save (%so_bool;) #REQUIRED>
<!ELEMENT so_saveRDN EMPTY>
<!ATTLIST so_saveRDN
	save (%so_bool;) #REQUIRED>
<!ELEMENT so_saveADN EMPTY>
<!ATTLIST so_saveADN
	save (%so_bool;) #REQUIRED>

<!--Subplot information
  Subplot points are the X, Y numbers of 8X8 grid cells.
  For instance - the cell with a corner at (8, 16) is cell (1, 2) (cells start at (0, 0).-->
<!ELEMENT so_subplot (so_subplotName, pointSet?)>
<!ELEMENT so_subplotName (#PCDATA)> <!--subplot name-->
<!ENTITY % pointFile SYSTEM "pointfile.dtd">
%pointFile;
